/* AbiSource
 * 
 * Copyright (C) 2002 Dom Lachowicz <cinamod@hotmail.com>
 * Copyright (C) 2004 Robert Staudinger <robsta@stereolyzer.net>
 * Copyright (C) 2005 Daniel d'Andrada T. de Carvalho
 * <daniel.carvalho@indt.org.br>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA.
 */
 
 
 // Class definition include
 #include "OO_AccumulatorImpl.h"
 
 
 
 
  
void OO_AccumulatorImpl::openSpan(UT_String & props, UT_String & font)
{
    m_pStylesContainer->addSpanStyle(props);

    if (font.size())
        m_pStylesContainer->addFont(font);
}




void OO_AccumulatorImpl::openBlock(UT_String & styleAtts, UT_String & styleProps, UT_String & font, bool bIsHeading)
{
    if (styleAtts.size() && styleProps.size()) 
    {
        // custom props, need to derive automatic style
        m_pStylesContainer->addBlockStyle(styleAtts, styleProps);
    }

    if (font.size())
        m_pStylesContainer->addFont(font);
}